###
# ~~~~~~licensing~~~~~~
# artifact-management
# ==========
# Copyright (C) 2020 - 2023 EmDev LLC
# ==========
# You may not use this file except in accordance with the License Terms of the Copyright
# Holder located at: https://entaxy.ru/eula . All copyrights, all intellectual property
# rights to the Software and any copies are the property of the Copyright Holder. Unless
# it is explicitly allowed the Copyright Holder, the User is prohibited from using the
# Software for commercial purposes to provide services to third parties.
# 
# The Copyright Holder hereby declares that the Software is provided on an "AS IS".
# Under no circumstances does the Copyright Holder guarantee or promise that the
# Software provided by him will be suitable or not suitable for the specific purposes
# of the User, that the Software will meet all commercial and personal subjective
# expectations of the User, that the Software will work properly, without technical
# errors, quickly and uninterruptedly.
# 
# Under no circumstances shall the Copyright Holder or its Affiliates is not liable
# to the User for any direct or indirect losses of the User, his expenses or actual
# damage, including, downtime; loss of bussines; lost profit; lost earnings; loss
# or damage to data, property, etc.
# ~~~~~~/licensing~~~~~~
###
##
# Local node repository
##
# Only location and snapshots are configurable, repo is always folder-based 
local.location=${karaf.data}/local-repo
# set true if repo should be searched for snapshots
local.snapshots = false

##
# Shared (cluster) repository
##
# Can be folder-based or proxy for Maven repo (i.e. Nexus) 
shared.location=${karaf.home}/shared-repo
# set 'true' if proxy 
shared.proxy=false
# set value if proxy 
shared.remotes=

# hardcoded to 'true', left for information
# shared.mirror=true

# set true if repo should be searched for snapshots
shared.snapshots = false
# credentials for upload to repository
shared.username=
shared.password=
            
##
# Updates (and extras) repository
##
# Can be folder-based or proxy for Maven repo (i.e. Nexus) 
updates.location=
updates.proxy=true

# hardcoded to 'true', left for information
#updates.mirror=true

updates.remotes=https://nexus.entaxy.ru/nexus/repository/entaxy-public/
# set true if repo should be searched for snapshots
updates.snapshots = false
# set 'false' if not used
updates.enabled=true
